<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>My Project: validationFormat.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">validationFormat.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Implementation des fonctions du namespace 'util'.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="validation_format_8h_source.html">validationFormat.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for validationFormat.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="validation_format_8cpp__incl.png" border="0" usemap="#validation_format_8cpp" alt=""/></div>
<map name="validation_format_8cpp" id="validation_format_8cpp">
<area shape="rect" id="node2" href="validation_format_8h.html" title="Header du namespace util, contenant les fonctions pour valider le format des entrées. " alt="" coords="113,80,243,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa69165682e833c42bef15f6c1f97322e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="validation_format_8cpp.html#aa69165682e833c42bef15f6c1f97322e">util::validerFormatNom</a> (const string &amp;p_nom)</td></tr>
<tr class="memdesc:aa69165682e833c42bef15f6c1f97322e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fonction qui valide le format du nom entrée par l'utilisateur.  <a href="validation_format_8cpp.html#aa69165682e833c42bef15f6c1f97322e">More...</a><br /></td></tr>
<tr class="separator:aa69165682e833c42bef15f6c1f97322e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88d142f8fe23ef612d4005149479c04f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="validation_format_8cpp.html#a88d142f8fe23ef612d4005149479c04f">util::validerCodeIssn</a> (const string &amp;p_issn)</td></tr>
<tr class="memdesc:a88d142f8fe23ef612d4005149479c04f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fonction qui valide si le code ISSN entré par l'utilisateur est un code valide.  <a href="validation_format_8cpp.html#a88d142f8fe23ef612d4005149479c04f">More...</a><br /></td></tr>
<tr class="separator:a88d142f8fe23ef612d4005149479c04f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add1bcb74f53bd2b2e769bed0f0d97d54"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="validation_format_8cpp.html#add1bcb74f53bd2b2e769bed0f0d97d54">util::validerCodeIsbn</a> (const string &amp;p_isbn)</td></tr>
<tr class="memdesc:add1bcb74f53bd2b2e769bed0f0d97d54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fonction qui valide si le code ISBN entré par l'utilisateur est un code valide.  <a href="validation_format_8cpp.html#add1bcb74f53bd2b2e769bed0f0d97d54">More...</a><br /></td></tr>
<tr class="separator:add1bcb74f53bd2b2e769bed0f0d97d54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28b636dffc877eef425c82cb9df0f8b9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="validation_format_8cpp.html#a28b636dffc877eef425c82cb9df0f8b9">util::validerFormatIsbn10</a> (const string &amp;p_isbn10, int p_longueurCode)</td></tr>
<tr class="memdesc:a28b636dffc877eef425c82cb9df0f8b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fonction qui valide si le format du code ISBN 10 entré par l'utilisateur est valide.  <a href="validation_format_8cpp.html#a28b636dffc877eef425c82cb9df0f8b9">More...</a><br /></td></tr>
<tr class="separator:a28b636dffc877eef425c82cb9df0f8b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d0085556f1dfbfbccd6e81f45c9fee5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="validation_format_8cpp.html#a9d0085556f1dfbfbccd6e81f45c9fee5">util::validerFormatIsbn13</a> (const string &amp;p_isbn13, int p_longueurCode)</td></tr>
<tr class="memdesc:a9d0085556f1dfbfbccd6e81f45c9fee5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fonction qui valide si le format du code ISBN 13 entré par l'utilisateur est valide.  <a href="validation_format_8cpp.html#a9d0085556f1dfbfbccd6e81f45c9fee5">More...</a><br /></td></tr>
<tr class="separator:a9d0085556f1dfbfbccd6e81f45c9fee5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4968d3f37b4d4d7beba8fd1aac36a2c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="validation_format_8cpp.html#ab4968d3f37b4d4d7beba8fd1aac36a2c">util::verifierCleIssn</a> (const string &amp;chiffreSansTiret)</td></tr>
<tr class="memdesc:ab4968d3f37b4d4d7beba8fd1aac36a2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fonction qui valide si la clé du code ISSN entrée par l'utilisateur est valide.  <a href="validation_format_8cpp.html#ab4968d3f37b4d4d7beba8fd1aac36a2c">More...</a><br /></td></tr>
<tr class="separator:ab4968d3f37b4d4d7beba8fd1aac36a2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04c9366c3790bda51e43930861fc4919"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="validation_format_8cpp.html#a04c9366c3790bda51e43930861fc4919">util::verifierCleIsbn10</a> (const string &amp;p_isbn10)</td></tr>
<tr class="memdesc:a04c9366c3790bda51e43930861fc4919"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fonction qui valide si la clé du code ISBN 10 entrée par l'utilisateur est valide.  <a href="validation_format_8cpp.html#a04c9366c3790bda51e43930861fc4919">More...</a><br /></td></tr>
<tr class="separator:a04c9366c3790bda51e43930861fc4919"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83add10cf3b8f1802e5e5afd25a5dce1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="validation_format_8cpp.html#a83add10cf3b8f1802e5e5afd25a5dce1">util::verifierCleIsbn13</a> (const string &amp;p_isbn13)</td></tr>
<tr class="memdesc:a83add10cf3b8f1802e5e5afd25a5dce1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fonction qui valide si la clé du code ISBN 13 entrée par l'utilisateur est valide.  <a href="validation_format_8cpp.html#a83add10cf3b8f1802e5e5afd25a5dce1">More...</a><br /></td></tr>
<tr class="separator:a83add10cf3b8f1802e5e5afd25a5dce1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Implementation des fonctions du namespace 'util'. </p>
<dl class="section author"><dt>Author</dt><dd>Toma Gagne </dd></dl>
<dl class="section version"><dt>Version</dt><dd>1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>27 fevrier 2019 </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="file_add1bcb74f53bd2b2e769bed0f0d97d54"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool util::validerCodeIsbn </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>p_ibsn</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fonction qui valide si le code ISBN entré par l'utilisateur est un code valide. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">L'entrée</td><td>p_isbn est la chaîne représentant le code ISBN entré par l'utilisateur </td></tr>
  </table>
  </dd>
</dl>
<dl class="section post"><dt>Postcondition</dt><dd>L'entrée p_isbn est un code ISBN valide </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>Un booléen, vrai si p_issn est un code ISBN valide </dd></dl>

</div>
</div>
<a class="anchor" id="file_a88d142f8fe23ef612d4005149479c04f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool util::validerCodeIssn </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>p_issn</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fonction qui valide si le code ISSN entré par l'utilisateur est un code valide. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">L'entrée</td><td>p_issn est la chaîne représentant le code ISSN entré par l'utilisateur </td></tr>
  </table>
  </dd>
</dl>
<dl class="section post"><dt>Postcondition</dt><dd>L'entrée p_issn est un code ISSN valide </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>Un booléen, vrai si p_issn est un code ISSN valide </dd></dl>

</div>
</div>
<a class="anchor" id="file_a28b636dffc877eef425c82cb9df0f8b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool util::validerFormatIsbn10 </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>p_isbn10</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>p_longueurCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fonction qui valide si le format du code ISBN 10 entré par l'utilisateur est valide. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">L'entrée</td><td>p_isbn10 est la chaîne représentant le code ISSN entré par l'utilisateur </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">L'entrée</td><td>p_longueurCode est le nombre de caractère de la chaîne p_isbn10 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section post"><dt>Postcondition</dt><dd>L'entrée p_isbn10 possède le bon format d'un code isbn 10 standard </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>Un booléen, vrai si p_isbn10 est un code ISBN10 valide </dd></dl>

</div>
</div>
<a class="anchor" id="file_a9d0085556f1dfbfbccd6e81f45c9fee5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool util::validerFormatIsbn13 </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>p_isbn13</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>p_longueurCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fonction qui valide si le format du code ISBN 13 entré par l'utilisateur est valide. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">L'entrée</td><td>p_isbn13 est la chaîne représentant le code ISSN entré par l'utilisateur </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">L'entrée</td><td>p_longueurCode est le nombre de caractère de la chaîne p_isbn13 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section post"><dt>Postcondition</dt><dd>L'entrée p_isbn13 possède le bon format d'un code isbn 13 standard </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>Un booléen, vrai si p_isbn13 est un code ISBN10 valide </dd></dl>

</div>
</div>
<a class="anchor" id="file_aa69165682e833c42bef15f6c1f97322e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool util::validerFormatNom </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>p_nom</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fonction qui valide le format du nom entrée par l'utilisateur. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">L'entrée</td><td>p_nom est la chaine entrée par l'utilisateur </td></tr>
  </table>
  </dd>
</dl>
<dl class="section post"><dt>Postcondition</dt><dd>p_nom n'est pas composé que d'espace </dd>
<dd>
p_nom ne comporte pas de chiffre </dd>
<dd>
p_nom ne possède pas de caractères spéciaux </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>un booléen, vrai si p_nom possède un format valide </dd></dl>

</div>
</div>
<a class="anchor" id="file_a04c9366c3790bda51e43930861fc4919"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool util::verifierCleIsbn10 </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>p_isbn10</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fonction qui valide si la clé du code ISBN 10 entrée par l'utilisateur est valide. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">L'entrée</td><td>p_isbn10 est la chaîne représentant le code ISBN 10 entrée par l'utilisateur, sans tiret </td></tr>
  </table>
  </dd>
</dl>
<dl class="section post"><dt>Postcondition</dt><dd>La clé du code ISBN 10 entrée par l'utilisateur est valide </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>Un booléen, vrai si la clé du code ISBN 10 est valide </dd></dl>

</div>
</div>
<a class="anchor" id="file_a83add10cf3b8f1802e5e5afd25a5dce1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool util::verifierCleIsbn13 </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>p_isbn13</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fonction qui valide si la clé du code ISBN 13 entrée par l'utilisateur est valide. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">L'entrée</td><td>p_isbn13 est la chaîne représentant le code ISBN 13 entrée par l'utilisateur, sans tiret </td></tr>
  </table>
  </dd>
</dl>
<dl class="section post"><dt>Postcondition</dt><dd>La clé du code ISBN 13 entrée par l'utilisateur est valide </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>Un booléen, vrai si la clé du code ISBN 13 est valide </dd></dl>

</div>
</div>
<a class="anchor" id="file_ab4968d3f37b4d4d7beba8fd1aac36a2c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool util::verifierCleIssn </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>chiffreSansTiret</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fonction qui valide si la clé du code ISSN entrée par l'utilisateur est valide. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">L'entrée</td><td>chiffreSansTiret est la chaîne représentant le code ISSN entré par l'utilisateur, sans tiret </td></tr>
  </table>
  </dd>
</dl>
<dl class="section post"><dt>Postcondition</dt><dd>La clé du code ISSN entrée par l'utilisateur est valide </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>Un booléen, vrai si la clé du code ISSN est valide </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
